
%global meadversion 3.2.2
%global namedversion 3.2.2.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 1
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead
%bcond_with testframework

%{?scl:%scl_package %{?scl_prefix}apache-commons-collections}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.2.2.redhat-2

Name:           %{?scl_prefix}apache-commons-collections
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Collections
Group:          Development/Java

%if %with mead
Source100: commons-collections-3.2.2.redhat-2-scm-sources.zip
Source102: commons-collections-testframework-3.2.2.redhat-2.jar
Source103: commons-collections-testframework-3.2.2.redhat-2.pom
Source104: commons-collections-tomcat-3.2.2.redhat-2.pom
Source105: commons-collections-tomcat-3.2.2.redhat-2.jar
Source106: commons-collections-3.2.2.redhat-2.pom
Source107: commons-collections-3.2.2.redhat-2-sources.jar
Source108: commons-collections-3.2.2.redhat-2.jar
Source109: commons-collections-3.2.2.redhat-2-project-sources.tar.gz
Source110: commons-collections-3.2.2.redhat-2-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/collections/
Provides:       %{?scl_prefix}commons-collections = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Types that extend and augment the Java Collections Framework.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-collections
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package tomcat
Summary:        Commons Collections dependency for Tomcat 6 and 7
Group:          Development/Java


%description tomcat
%{summary}.

%prep
%setup -q -n commons-collections -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-collections-%{namedversion}.jar %{buildroot}%{_javadir}/commons-collections-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-collections-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-collections-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-collections-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-collections-%{namedversion}-sources.jar
%if %with testframework
%{__cp} -p %{_sourcedir}/commons-collections-testframework-%{namedversion}.jar %{buildroot}%{_javadir}/commons-collections-testframework-%{namedversion}.jar
%endif
%{__cp} -p %{_sourcedir}/commons-collections-tomcat-%{namedversion}.jar %{buildroot}%{_javadir}/commons-collections-tomcat-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-collections-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-collections-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-collections-%{namedversion} -x META-INF/\*
%{__ln_s} commons-collections-%{namedversion} %{buildroot}%{_javadocdir}/commons-collections
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc DEVELOPERS-GUIDE.html LICENSE.txt NOTICE.txt PROPOSAL.html README.txt RELEASE-NOTES.txt STATUS.html
%{_javadir}/commons-collections-%{namedversion}.jar
%{_javadir}/commons-collections.jar
%if %with javadoc
%{_javadir}/commons-collections-%{namedversion}-javadoc.jar
%{_javadir}/commons-collections-javadoc.jar
%endif
%{_javadir}/commons-collections-%{namedversion}-sources.jar
%{_javadir}/commons-collections-sources.jar
%if %with testframework
%{_javadir}/commons-collections-testframework-%{namedversion}.jar
%{_javadir}/commons-collections-testframework.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-collections-%{namedversion}
%{_javadocdir}/commons-collections
%endif

%files tomcat
%defattr(0644,root,root,0755)
%{_javadir}/commons-collections-tomcat-%{namedversion}.jar
%{_javadir}/commons-collections-tomcat.jar

%changelog
* Wed Nov 25 2015 David Walluck <dwalluck@redhat.com> - 3.2.2-1.redhat_2.1
- build and deploy commons-collections-testframework and commons-collections-tomcat
- RELEASE-NOTES changed from html to txt

* Tue Nov 24 2015 Paul Gier <pgier@redhat.com> - 3.2.2-1.redhat_1.1
- 3.2.2 rebuild

* Wed Nov 18 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.1-25.redhat_7.1
- Fix for BZ#1279330 - Remote code execution during deserialisation

* Wed Nov 18 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.1-24.redhat_4.1
- Fix for BZ#1279330 - Remote code execution during deserialisation

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.1-23.redhat_4.1
- Re-wrap to include RHEL-6

* Tue May 05 2015 David Walluck <dwalluck@redhat.com> - 3.2.1-22.redhat_4.1
- fix install

* Tue May 05 2015 David Walluck <dwalluck@redhat.com> - 3.2.1-22.redhat_4.1
- release

